from phenology import *
from canopyModel import *

lat = 57
lon = 86

temp= get_temperature ( latitude=lat, longitude=lon )
[ipar,temp2,mu,julian,dt]  = drivers(ndays=365*11+2,lat=lat,lon=lon)

retval = fit_phenology_model( lon, lat, [2001],\
             temp,tbase=-10.,do_agdd=True, pheno_model="quadratic")
ndvi = retval[1]

temp2,ndviFull = fixTemperature(temp,temp2,julian,ndvi,mu)

plt.clf()
omega=None
leaf = leafScale(ipar,temp2,omega=omega,type='Broadleaf tree')
plt.subplot(3,1,1)
plt.rcParams['legend.fontsize'] = 9
plt.legend(loc='best', numpoints=5,fancybox=True, shadow=True )
plt.grid(True)
plt.plot(julian,leaf.Al*1e6,label='Al')
plt.plot(julian,leaf.Al.cumsum()*1000,label='Al cum/1000.')
plt.plot(julian,ndviFull*20,label='NDVI x 20')
plt.plot(julian[::12],temp/2,label='T/2')
plt.plot(julian[::12],ipar[::12]/50,label='ipar / 50')
plt.legend(loc='best', numpoints=1,fancybox=True, shadow=True )
plt.xlim(0,365)
plt.ylim(-5,25)
plt.subplot(3,1,2)
plt.ylim(0,25)
plt.plot(julian,leaf.Wc*1e6,label='Wc')
plt.plot(julian,leaf.Wl*1e6,label='Wl')
plt.plot(julian,leaf.We*1e6,label='We')
plt.plot(julian,leaf.W*1e6,label='W')
plt.plot(julian,leaf.Rd*1e6,label='Rd')
plt.plot(julian,leaf.Al*1e6,label='Al')
plt.xlim(150,160)
plt.legend(loc='best', numpoints=1,fancybox=True, shadow=True )
plt.subplot(3,1,3)
plt.plot(julian,ipar/50.,label='ipar/50')
plt.plot(julian,temp2,label='T')
plt.legend(loc='best', numpoints=2,fancybox=True, shadow=True )
plt.xlim(150,160)
plt.ylim(0,50)
plt.xlabel('day of year')