from phenology import *
from canopyModel import *

lat = 57
lon = 86

temp= get_temperature ( latitude=lat, longitude=lon )
[ipar,temp2,mu,julian,dt]  = drivers(ndays=365*11+2,lat=lat,lon=lon)

retval = fit_phenology_model( lon, lat, [2001],\
             temp,tbase=-10.,do_agdd=True, pheno_model="quadratic")
ndvi = retval[1]

temp2,ndviFull = fixTemperature(temp,temp2,julian,ndvi,mu)

plt.clf()
omega=None

plt.rcParams['legend.fontsize'] = 9
plt.subplot(4,1,1)
plt.grid(True)
leaf = leafScale(ipar,temp2,omega=omega,type='C3 grass')
plt.plot(julian,leaf.Al*1e6,label='Al grass')
plt.plot(julian,leaf.Vcmax*1e6/2,label='Vcmax grass/2')
plt.plot(julian,ndviFull*20,label='NDVI x 20')
plt.plot(julian[::12],temp/2,label='T/2')
plt.plot(julian[::12],ipar[::12]/50,label='ipar / 50')
plt.xlim(0,365)
plt.ylim(-5,25)
plt.legend(loc='best', fancybox=True, shadow=True )
plt.subplot(4,1,2)
plt.grid(True)
leaf = leafScale(ipar,temp2,omega=omega,type='Broadleaf tree')
plt.plot(julian,leaf.Al*1e6,label='Al BL tree')
plt.plot(julian,leaf.Vcmax*1e6/2,label='Vcmax BL tree/2')
plt.plot(julian,ndviFull*20,label='NDVI x 20')
plt.plot(julian[::12],temp/2,label='T/2')
plt.plot(julian[::12],ipar[::12]/50,label='ipar / 50')
plt.xlim(0,365)
plt.ylim(-5,25)
plt.legend(loc='best', fancybox=True, shadow=True )
plt.subplot(4,1,3)
plt.grid(True)
leaf = leafScale(ipar,temp2,omega=omega,type='Needleleaf tree')
plt.plot(julian,leaf.Al*1e6,label='Al NL tree')
plt.plot(julian,leaf.Vcmax*1e6/2,label='Vcmax NL tree/2')
plt.plot(julian,ndviFull*20,label='NDVI x 20')
plt.plot(julian[::12],temp/2,label='T/2')
plt.plot(julian[::12],ipar[::12]/50,label='ipar / 50')
plt.xlim(0,365)
plt.ylim(-5,25)
plt.legend(loc='best', fancybox=True, shadow=True )
plt.subplot(4,1,4)
plt.grid(True)
leaf = leafScale(ipar,temp2,omega=omega,type='Shrub')
plt.plot(julian,leaf.Al*1e6,label='Al shrub')
plt.plot(julian,leaf.Vcmax*1e6/2,label='Vcmax shrub/2')
plt.plot(julian,ndviFull*20,label='NDVI x 20')
plt.plot(julian[::12],temp/2,label='T/2')
plt.plot(julian[::12],ipar[::12]/50,label='ipar / 50')
plt.xlim(0,365)
plt.ylim(-5,25)
plt.legend(loc='best', fancybox=True, shadow=True )